local valid = true

local ttl = minetest.settings:get("item_entity_ttl")
if tonumber(ttl) ~= -1 then
	minetest.settings:set("item_entity_ttl", "-1")
	valid = false
end

local mxo = minetest.settings:get("max_objects_per_block")

if tonumber(mxo) < 256 then
	minetest.settings:set("max_objects_per_block", "256")
	valid = false
end

if not valid then
	minetest.request_shutdown("Settings have been changed... reconnect", true, 0)
end

